Blog
Github
  1. Message
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
        POST
      • Create comments in chat room
        POST
      • Get Comments by Room
        GET
    • Media Manager
      • Get Folders
      • Get Folder By ID
      • Create Folder
      • Update Folder
      • Delete Folder
      • Get Files
      • Get File By ID
      • Create File
      • Update File
      • Delete File
Blog
Github
  1. Message

Create comments in chat room

Developing
POST
/api/v1/comments/rooms/{roomId}
Create a new comment in a specified room, optionally mentioning one or more users.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://apigw.klinkcx.com/api/v1/comments/rooms/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "text": "Hey {0}, can you review this with {1} when you have a moment?",
  "mentions": [
    {
      "index": 0,
      "userId": "123e4567-e89b-12d3-a456-426614174000"
    },
    {
      "index": 1,
      "userId": "987fcdeb-51a2-43d7-9012-349857218934"
    }
  ]
}'
Response Response Example
{
    "requestId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "data": {
        "id": "comment-uuid-002",
        "roomId": "room-uuid-abc",
        "text": "Hey @John Doe, can you review this with @Jane Smith?",
        "type": "comment",
        "mentions": [
            {
                "userId": "user-uuid-456",
                "name": "John Doe"
            },
            {
                "userId": "user-uuid-789",
                "name": "Jane Smith"
            }
        ],
        "sender": {
            "id": "user-uuid-123",
            "name": "Current Auth User"
        },
        "createdAt": "2026-02-27T12:20:00.000000Z"
    }
}
Modified at 2026-02-27 12:06:49
Previous
Send message
Next
Get Comments by Room
Built with